Subject: Re: ediff falsely identifying a difference as white space only
From: Karel Sprenger <[email-masked]>
To: Stephen Leake <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: 30 Nov 2000 00:10:35 +0100

Hi,

>>> On 29 Nov 2000 17:03:15 -0500, Stephen Leake (Stephen) wrote:
Stephen> 
Stephen> [email-masked] writes:
>> I'm trying to use vc-resolve-conflicts using ntemacs (20.7.1) and Cygwin
>> (1.1.x). First I had to download the newestest version of ediff because
>> the one that ships with ntemacs expects a version of diff(3) that
>> accepts the -binary flag. Diff that comes with Cygwin doesn't accept
>> this arg. After I installed ediff, I tried to invoke
>> vc-resolve-conflicts on the attached file (A.java). The ediff windows
>> came up as expected, highlighting a single conflict. The problem is that
>> when I moved to this conflict, ediff outputs in the mode line "Only
>> white-space differences in region 1 in buffers A & B" which, if you
>> look, isn't the case.
Stephen> 
Stephen> Works nicely for me in Emacs 20.6.1, cygwin 1.1.4.
Stephen> 
>> I suspect that the problem might have something to do with those
>> cursed "^M"s - I don't know. I suspect this because when I look into
>> the *ediff-fine-diff* buffer, I see:
Stephen> 
Stephen> I don't see ^Ms in my buffer; it's using DOS coding system. Maybe you
Stephen> need to adjust some coding system setting. On the other hand, maybe
Stephen> they just didn't survive being MIME'd.
Stephen> 

Same here.  No problems with NTemacs 20.7.1 and cygwin 1.1.6.  I have set
ediff-diff-options to "-b", though.  And cygwin's diff does accept the
--binary flag (that's two minus signs).  Hope this helps.

Cheers,
Karel

--
Karel Sprenger, senior solution specialist
COMPAQ, Professional Services
Mobile: +31 (6) 5178 5034           Home: +31 (20) 670 0942
E-mail: [email-masked]   Private: [email-masked]
"The best way to have a good idea is to have lots of ideas." - Linus Pauling

--
Want to unsubscribe from this list?
Send a message to [email-masked]